tigase.jaxmpp.core.client.xmpp.modules.presence

## Interface PresenceModule.ContactUnavailableHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PresenceModule

      public static interface PresenceModule.ContactUnavailableHandler
      extends EventHandler

  Event fired when contact (understood as bare JID) goes offline. Fired when no more resources are available.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PresenceModule.ContactUnavailableHandler.ContactUnavailableEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onContactUnavailable(SessionObject sessionObject, Presence stanza, JID jid, String status)`

- - ### Method Detail

    - #### onContactUnavailable

          void onContactUnavailable(SessionObject sessionObject,
                                    Presence stanza,
                                    JID jid,
                                    String status)

Copyright © 2006–2020 Tigase. All rights reserved.